<?php 
/*** COPYRIGHT NOTICE *********************************************************
 *
 * Copyright 2009-2017 ProjeQtOr - Pascal BERNARD - support@projeqtor.org
 * Contributors : -
 *
 * This file is part of ProjeQtOr.
 * 
 * ProjeQtOr is free software: you can redistribute it and/or modify it under 
 * the terms of the GNU Affero General Public License as published by the Free 
 * Software Foundation, either version 3 of the License, or (at your option) 
 * any later version.
 * 
 * ProjeQtOr is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS 
 * FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for 
 * more details.
 *
 * You should have received a copy of the GNU Affero General Public License along with
 * ProjeQtOr. If not, see <http://www.gnu.org/licenses/>.
 *
 * You can get complete code of ProjeQtOr, other resource, help and information
 * about contributors at http://www.projeqtor.org 
 *     
 *** DO NOT REMOVE THIS NOTICE ************************************************/

/** ============================================================================
 * Action is establised during meeting, to define an action to be followed.
 */ 
require_once('_securityCheck.php');
class Quotation extends QuotationMain {
  
  public $_sec_description;
  public $id;
  public $reference;
  public $name;
  public $cdAnnee;
  public $idQuotationType;
  public $idProject;
  public $idUser;
  public $creationDate;
  public $Origin;
  public $idRecipient;
  public $idClient;
  public $idContact;
  public $description;
  public $additionalInfo;
  public $_sec_treatment;
  public $idStatus;
  public $idResource;
  public $sendDate;
  public $idDeliveryMode;
  public $validityEndDate;
  public $idLikelihood;
  public $handled;
  public $handledDate;
  public $done;
  public $doneDate;
  public $idle;
  public $idleDate;
  public $cancelled;
  public $_lib_cancelled;
  public $initialEndDate;
  public $idActivityType;
  public $idPaymentDelay;
  public $_tab_5_1_smallLabel=array('untaxedAmountShort','tax','','fullAmountShort','estimatedWork','amount');
  public $untaxedAmount;
  public $taxPct;
  public $taxAmount;
  public $fullAmount;
  public $plannedWork;
  public $comment;
  public $_BillLine=array();
  public $_BillLine_colSpan=2;
  public $_sec_Link;
  public $_nbColMax=3;

  public static $_customFields=array(
    'cdAnnee'
  );

  public static $_defaultValues=array(
); 
  
  public static $_colCaptionTransposition=array(
    "cdAnnee"=>"plgCdAnnee"
); 

  private static $_fieldsAttributes=array(
    "id"=>"nobr",
    "idQuotationType"=>"required",		"idProject"=>"required",		"reference"=>"readonly",
    "name"=>"required",
    "idStatus"=>"required",
    "handled"=>"nobr",
    "done"=>"nobr",
    "idle"=>"nobr",								"idleDate"=>"nobr",
    "cancelled"=>"nobr",
    "taxAmount"=>"calculated,readonly",
    "fullAmount"=>"readonly","cdAnnee"=>"required"
  ); 
/** ==========================================================================
	 * Correction LDU 23/06/17    "fullAmount"=>"readonly",,"cdAnnee"=>"required"
	 
	 
	 
	 
	 
	/** ==========================================================================
	 * Constructor
	 * @param $id the id of the object in the database (null if not stored yet)
	 * @return void
	 */
	function __construct($id = NULL, $withoutDependentObjects=false) {
		parent::__construct($id,$withoutDependentObjects);
	}
	
	/** ==========================================================================
	 * Destructor
	 * @return void
	 */
	function __destruct() {
		parent::__destruct();
	}
	
	

  /** ==========================================================================
   * Return the specific fieldsAttributes
   * @return the fieldsAttributes
   */
  protected function getStaticFieldsAttributes() {
    return array_merge(parent::getStaticFieldsAttributes(),self::$_fieldsAttributes);
  }
 
  /** ============================================================================
   * Return the specific colCaptionTransposition
   * @return the colCaptionTransposition
   */
  protected function getStaticColCaptionTransposition($fld=null) {
    if (isset(self::$_colCaptionTransposition)) {
      return array_merge(parent::getStaticColCaptionTransposition($fld),self::$_colCaptionTransposition);
    } else {
      return parent::getStaticColCaptionTransposition($fld);
    }
  }
 
  /** ==========================================================================
	 * Return the generic defaultValues
	 * @return the layout
	 */
	protected function getStaticDefaultValues() {
	  return self::$_defaultValues;
	}
  }
	?>
